Conversations

Change the contact on a conversation

Change the contact on a conversation. Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

PATCH
/conversation/{conversation_id}/change-contact

Change the contact on a conversation.

Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

conversation_id*string

Conversation identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/conversation/string/change-contact" \  -H "Content-Type: application/json" \  -d '{    "contact_id": "a2259012-556c-452c-ae91-e8d55e4107c0"  }'
{  "message": "string"}